1.9.6.1773 (11 апреля 2024)
 - добавлен разрешительный режим
 - исправлена сумма в транзакции 54
 - добавлена работа с кранами оборудования розлива
 - исправлено сохранение настройки "Печать отложенных чеков"
 - исправлена ошибка при вводе дисконтной карты
 - исправлен возврат через Arcus2
 - исправлена загрузка дублей единиц товаров

1.8.5.1745(31 июля 2023)
 - исправлен тип кода поставщика на Строка12
 - добавлена функция "Сумма денег НАЛ/БЕЗНАЛ"
 - добавлена галка "Автоматически выходить из режима просмотра товара"
 - добавлена галка "Запретить возвращать больше, чем продано в смене"
 - добавлена галка "Ввод количества обязателен"
 - добавлены новые типы маркировки
 - исправлена ошибка при повторной инвентаризации
 - добавлена галка "Скрывать остаток при просмотре товара"
 - автоматическая загрузка справочника возможна и до авторизации
 - добавлена проверка марок при регистрации товара по марке
 - добавлена печать идентификационного штрих-кода отложенного чека
 - изменена печать марок с печати в столбик на печать в строку

1.8.4.1726(8 февраля 2023)
 - добавлена проверка соответствия алкогольной марки товару
 - исправлено ошибочное восстановление секции при продолжении отложенного чека
 - исправлена работа с PayMaster под Windows XP
 - исправлена запись СНО в таблицу транзакций
 ! убрана комбинация клавиш F8(ввод адреса клиента)
 - исправлено падение программы при отсутствии связи с PayMaster
 - исправлено откладывание чека со скидкой
 - исправлена ошибка округления итога чека скидкой
 - добавлена загрузка констант: РазрешитьОтказОтВводаМарки и ОтказОтВводаМарки_ТипыМаркировки
 - исправлена запись транзакции оплаты бонусами
 - исправлена инициализация дисплея QR-кодов Mertech
 - исправлено сохранение настроек дисплея QR-кодов
 - добавлена возможность настройки нескольких юр. лиц при оплате через PayMaster

1.8.3.1701(5 августа 2022)
 - добавлены настройки отключения печати: "Отложенные чеки" и "Складские документы"
 - добавлена поддержка дисплея QR-кодов Mertech
 - добавлено разбиение чека при записи в таблицу транзакций
 ! нажатие кнопки "Отмена" в окне выбора вида чека теперь прерывает процесс закрытия чека
 - добавлена оплата через Dual Connector 2.0
 - добавлена оплата через СБП PayMaster
 - исправлена загрузка накопительных скидок по http
 - добавлена настройка вида чека "Печать эл. адрес покупателя"
 - добавлена настройка правил запрета продажи алкоголя "Ежегодно"
 - добавлена галка "Проверять соответствие GTIN"
 - доработан модуль SAMOSALE
 - исправлена работа ЛУ ФР под вин32
 - исправлена описка в поле "Ввод данных покупателя перед закрытием чека"
 - исправлено окно поиска ФР под вин32
 - добавлено использование настройки "Печать банковских слипов" при печати слипа ЕГАИС
 - добавлены настройки отключения печати(Настройки/Оборудование/ФР/Настройка/Отключение печати)
   https://kkm.solutions/wiki/doku.php?id=%D0%B2%D0%BE%D0%BF%D1%80%D0%BE%D1%81%D1%8B:%D1%8D%D0%BA%D0%BE%D0%BD%D0%BE%D0%BC%D0%B8%D1%8F%D1%87%D0%B5%D0%BA%D0%BE%D0%B2%D0%BE%D0%B9%D0%BB%D0%B5%D0%BD%D1%82%D1%8B
 - добавлена отправка в SAMOSALE чеков без авторизации
 - исправлена работа с SAMOSALE

1.8.2.1679(25 февраля 2022)
 - улучшена работа с COM-портами под WIN32
 - исправлена регистрация по алкогольной марке
 ! установлены по умолчанию галки "Работа с онлайн-кассами" и "Автоматически открывать смену"
 - изменена работа с маркировками для товаров со свойством "Разрешить продажу дробного количества".
   Для таких товаров можно указать только одну марку на позицию вне зависимости от количества.
 - добавлена загрузка строковых значений мер количества
 - разрешен ввод четырех символьных кодов вида алкогольной продукции
 - исправлен номер транзакции "Открытие смены", был сломан с 1652 версии
 - добавлена работа с системой лояльности SAMOSALE
 - исправлена передача сведений о покупателе для ФФД 1.2
 - исправлена продажа нескольких сертификатов в одном чеке
 - добавлена настройка, для каких типов маркировок показывать кнопку "Без марки" (ФФД 1.2)
 - исправлено название товара в восстановленном чеке при продаже единицы товара с пустым названием
 - добавлена опция "Корректировать признак предмета расчета"
 - добавлена поддержка ФФД 1.2
 - исправлена работа с УТМ 4.2
 - исправлена загрузка справочника с режимом $$$DEL
 - исправлена работа с ШТРИХ-СИТИ-Ф
 - исправлен вылет при сканировании марки с нулевой ценой

1.8.1.1630(2 марта 2021)
 - исправлен вылет в предварительно заполненном документе инвентаризации
 - исправлена потеря связи с весами при выключении минипоса
 - исправлена ошибка "69: Сумма всех типов оплаты меньше итога чека"
 - добавлена поддержка протокола весов МАССА-К №2
 - в окне ввода цены по умолчанию берется цена из карточки товара
 - добавлена проверка, что смена в ККТ не закончилась, перед банковской оплатой
 - добавлена поддержка нескольких юр.лиц в платежную систему inpas
 - добавлена передача тегов 1084-1086 и 1191 при продаже лекарственных средств
 - добавлена автоматическая смена СНО
 - добавлена загрузка настроек СНО("СНПоУмолчанию" и "СНПоСекциям")
 - исправлен отчет по секциям
 - исправлена выгрузка отчета для ЦРПТ
 - добавлено сохранение результатов проверок при добавлении товара
 - добавлена загрузка поставщиков
 - добавлена загрузка реквизитов товара 39 и 42
 - добавлена настройка "Разрешить отказ от ввода марки"
 - добавлен предварительный просмотр в расширенные отчеты
 - исправлен отчет по продавцам
 - реализована проверка при добавлении товара

1.8.0.1593(1 августа 2020)
 - добавлена выгрузка отчетов для ЦРПТ(Супервизор/Снятие отчетов/Алкоголь и маркировка/Отчет для ЦРПТ)
 - добавлена настройка "Контроль МРЦ"
 ! убрана кнопка "Без марки" в окне ввода кода маркировки
 - разрешен ввод букв в окне ввода номера карты
 - исправлена запись тега 1162 для алкоголя
 - исправлена загрузка дат из файла справочника на минипосе(теперь 15.05.30 грузится как 2030 год, а не 1930)
 - исправлена ошибка "неверный формат акцизной марки" при включенной "регистрации по АМ"
 - исправлена проверка корректности марок. Теперь требуется наличие серийного номера в марке.
 - исправлена работа клавиатуры в окне ввода акцизной марки
 - исправлена работа сканера/ридера в окне авторизации
 - исправлен самопроизвольный сброс шаблона для 57мм
 - добавлена передача кода товара в ОФД(поле "Код товара для ОФД" в карточке товара)
 - исправлена печать признака маркированного товара для сигарет "без марки"
 - добавлен столбец "Название" в окно выбора платежной карты
 - добавлен способ выбора платежной карты "без ручного ввода"
 - добавлена галка "Печатать копию слипа" в Arcus2
 - исправлена выгрузка отчетов
 - добавлена обработка Alt-последовательностей при работе с клавиатурным сканером
 - исправлен разбор марок без FNC1
 - добавлен "Признак способа расчета" к виду оплаты
 - добавлены новые признаки предметов расчета
 - сделана печать признака маркировки в соответствии с приказом ФНС 434
 ! теперь при режиме загрузки справочника $$$DEL учитываются флаги
 - исправлено считывание кода маркировки на некоторых сканерах
 - добавлена печать общей суммы скидки
 - исправлена "ошибка записи" при загрузке справочника
 - исправления в работе с дисконтной системой UDS Game
 - добавлен обмен с ТП5 по http(http-сервис KKMTransfer)
 - добавлен тип маркировки "GS1 Data Matrix (DM)"
 - исправлено считывание штрих-кодов GS1 DataMatrix c префиксом
 - добавлено экранирование символа ";" при выгрузке отчета
 - исправлена ошибка отмены марок после сторно и последующего закрытия чека
 - исправлена загрузка таблиц ККТ из файла
 - добавлен запрет увеличения количества при возврате по номеру чека

1.7.0.1538(28 июня 2019)
 - исправлена ошибка при возврате по номеру чека и оплате безналичными
 - добавлена возможность указать "Без марки" при регистрации маркированного товара
 - добавлена передача имени(тег 1227) и ИНН(тег 1228) покупателя
 ! удалена настройка "Запретить ручной ввод акцизной марки". Теперь она всегда включена.
 - исправлена ошибка при оплате сертификатом с установленной оплатой в ФР "Аванс"
 - исправлена работа с новыми акцизными марками:
    - продажа марки в ЕГАИС теперь не отменяется при ошибке закрытия чека, а только при отмене чека
    - если не удалось отменить новую акцизную марку, то делается 10 попыток отмены раз в минуту
 - убран ввод АМ при продаже сертификата
 - исправлена проверка на доступность видов оплаты
 - добавлена галка "Документы  в виде транзакций". Если она установлена, то товароучетные документы выгружаются в виде 
   транзакций, а не xml-документов.
  ! Не совместимо с ТП.
 - добавлена продажа маркированной продукции
 - добавлена загрузка параметров бонусных схем:
   - поле 9 - типа расчета(0 - расчет по чеку, 1 - расчет по позициям),
   - поле 10 - схема накопления бонуса по умолчанию,
   - поле 11 - схема оплаты бонусом по умолчанию
 - исправлена работа со старыми(не онлайн) кассами
 - добавлена загрузка справочника без тильды в режиме работы с синхронизатором
 - исправлена ошибка, при которой не сохранялся продавец в карточке кассира
 - добавлена таблица соответствия акцизных марок 150 символов алкокоду
 - исправлена просмотр/печать чека для чеков с продажей сертификата
 - добавлены комбинации клавиш для продажи сертификата(Ctrl+Аlt+P), просмотра сертификата(Ctrl+Аlt+L) и оплаты 
   сертификатом(Ctrl+Alt+S)
 - добавлен вывод серии и номера акцизной марки
 - добавлена синхронизация налогов, чтение/запись
 - добавлена работа с агентами
 - исправлена блокировка файла-флага загрузки справочника
 - добавлена работа с налогами 5 и 6
 - исправлена работа с UDS Game
 - исправлена проверка акцизных марок длиной 150 символов
 - добавлено свойство "Фиксированный кассир" к ЛУ ФР
 - исправлена продажа сертификата. Теперь сертификаты продаются с предметом расчета=10(платеж) и способом расчета=3(аванс)
 - исправлена печать скидок в копии чека возврата
 - добавлены настройки печати "Печатать эл. почту отправителя", "Печатать признак предмета расчета",
   "Печатать признак способа расчета"
 - добавлена работа с системой лояльности UDS Game

1.6.3.1500 (2 ноября 2018)
 - изменено имя исполняемого файла на MiniRMK6.exe под windows ce 6.0
 - добавлено отдельное окно для ввода телефона клиента
 - добавлена загрузка отрицательных значений бонуса и накопления для дисконтных карт
 - добавлен минимальный итог чек, после которого копятся бонусы
 - исправлена печать ИНН кассира
 - исправлен расчет скидки на единицу товара
 - исправлена печать налогов при продаже сертификата
 - добавлена галка "Рассчитывать суммовую скидку пропорционально количеству"
 - исправлена проверка прав пользователей для видов оплат
 - исправлена загрузка справочника
 - добавлена сторнирование марок, не прошедших проверку в ЕГАИС
 - добавлена поддержка нового формата акцизной марки(150 символов)
 - исправлена ошибка при сканировании акцизной марки
 - добавлена загрузка параметра "ИспользоватьВесовыеШтрихкоды"
 - исправлена отрезка банковского слипа при работе с несколькими ФРами
 - добавлено ограничение максимальной скидки при продаже сертификатов
 - добавлена функция "Отмена оплаты через Сбербанк" в меню "Сервис"
 - исправлена работа товарных скидок с длинными кодами товаров
 - исправлено время на слипе ЕГАИС
! Изменен формат загрузки пользователя
 - в поле 7 загружается ИНН кассира
 - доработано взаимодействие с аркус2
 - исправлено сохранение настроек платежных систем
 - исправлен ввод количества после визуального подбора
 - добавлено условие скидки по количеству чеков продаж
 - исправлено "Обслуживание/Открыть смену" при работе с несколькими ФРами

1.6.2.1458 (1 февраля 2018)
 - исправлена печать операции продажи при работе по 54-ФЗ
 - добавлена печать ИНН кассира
 - добавлена обработка исключений в arcus2.dll
 - исправлена печать системы налогообложения
 - проверка на нулевую цену перенесена после ввода цены
 - исправлен расчет скидки с учетом оплаты сертификатами
 - добавлен флаг "При расчете скидки учитывать оплату сертификатами"
 - восстановлена работа связки "Сумма денег в ящике" + "Выплата"
 - исправлено автоматическое открытие смены при рбаоте с несколькими ФРами
 - доработана библиотека для работы с пинпадом по протоколу Arcus
 - исправлена печать чеков на узкой ленте
 - улучшена работа с ФРами по tcp/ip
 - исправлена печать дополнительной цены
 - добавлена функция "ввести адрес клиента"
 - исправлена работа с ЭЛВЕС-МФ
 - добавлена галка "Скрывать курсор"
 - добавлена галка "Печатать отчет по секциям перед снятием Z-отчета"
 - исправлена печать копии чека
 - отложенный чек теперь печатается строчками
 - исправлен ввод суммы в чеке коррекции
 - исправлено "неизвестное исключение" при возврате с помощью сканера и нехватке прав
 - исправлена одновременная работа с онлайн-кассами и АСПД
 - исправлено сохранение настроек связи с ФРом
 - исправления в работе с Arcus2 под Win32
 - исправлено определение FSRAR_ID
 - добавлена галка "Печатать отчет по налогам перед снятием Z-отчета"
 - добавлена возможность печати суммы и типа чека на слипе ЕГАИС
 - исправлена отрезка чеков на доработанных ФРах с УМ
 - исправлена галка "Разливной алкоголь"
 - при работе с онлайн кассами автоматически устанавливается галка "Печатать имя кассира"
 - исправлена печать копии чека
 - в окно выбора единицы добавлен столбец остаток
 - увеличен размер поля "Торговля алкоголем/Номер ККТ" до 20 символов
 - исправлена ошибочная запись транзакции 54
 - теперь штрих-коды товаров не затираются при загрузке остатков из ШТРИХ: ЕГАИС
 - исправлена ошибка округления при разбиении скидок
 - добавлен документ списание
 - добавлена привязка продавца к кассиру
! Изменен формат загрузки пользователя
 - добавлена галка "Разливной алкоголь"
 - сообщения обмена с ЕГАИС не затирают сумму сдачи
 - добавлена привязка СН к секции
 - надпись "ЕГАИС: чек отправлен" больше не выводится
 - добавлена галка "Обмен после закрытия чека"
 - пустое поле "Емкость тары" не передается в ЕГАИС
 - пустое поле "ЕАН13" или длинней 14 символов не передается в ЕГАИС
 - добавлена возможность ввести акцизную марку при вскрытии тары
 - добавлена возможность задать систему налогообложения
 - добавлены галки "Автоматически открывать смену" и "Не запрашивать адрес покупателя"
 - добавлена печать чека коррекции
 - исправлена передача названия товара в ОФД
 - добавлена возможность сосканировать визитную карточку в окне ввода адреса покупателя
 - добавлены галки "Устанавливать поле "Запрашивать цену" и "Устанавливать поле "Запрашивать штрих-код"

1.6.1.1354 (22 ноября 2016)
 - добавлена работа по ФЗ-54
 - добавлена поддержка Arcus2
 - добавлена регистрация по акцизной марке как штрих-код единицы
 - привел загрузку реквизита 24 в соответствии с 1с-кассиром: если реквизит 24 не задан, а код вида
   алкогольной продукции задан, то реквизиту 24 присваивается значение "акцизный"
 - добавил обработку флага NO_SUBORD_CLR при загрузке справочника
 - добавлена галка "Проверять марку по всем чекам"
 - исправлена отмена продажи в ЕГАИС
 - исправлена загрузка накладных из УТМ в РМК
 - обновлена библиотека для работы с ключами Rockey4ND
 - исправлена работа галки "Выполнять списание после Z-отчета"
 - исправления в работе с УТМ
 - больше не показывается надпись "ЕГАИС: подготовка" во время оплаты через банк
 - скорректирована работа с ФРами серии RR
 - исправлен номер отмененного чека в случае потери связи с ФРом
 - добавлена загрузка реквизита "Запрашивать штрих-код"
 - исправлены контроль отрицательных остатков в документе "Перемещение"
 - добавлена загрузка остатков из ШТРИХ-М: ЕГАИС
 - добавлены поля QUAN, REST, XQUAN, SUMM, TOTALSUMM для печати на ценниках

1.6.0.1303 (25 июля 2016)
 - убран фикс ошибок 2010/2016/2022 годов. На минипосе должен быть прошит образ Windows CE с исправлениями
 - теперь загружается несколько кодов ЕГАИС в реквизите 30
 - в настройках в карточке товара при сканировании акцизной марки в качестве кода товара подставляется код ЕГАИС
 - исправлено объединение акцизных товаров
 - добавлена галка "Выполнять списание после Z-отчета

1.5.1.1296 (4 июля 2016)
 - добавлены поля "Запрашивать цену" и "Запрашивать штрих-код" в карточку товара
 - исправлена ошибка обновления драйвера ФР
 - исправлен прием алкогольной продукции из "ШТРИХ-М: ЕГАИС"
 - добавлено списание пива
 - теперь "пивной чек" не отправляется в ЕГАИС
 - исправлена ошибка, из-за которой некоторые акцизные марки считались неверными
 - добавлен запрет продажи алкоголя
 - добавлена в весовые штрих-коды возможность задавать размер второго поля
 - добавлена работа с несколькими УТМами
 - добавлена функция "Вскрытие тары алкогольной продукции"
 - исправлена загрузка атрибута "подакцизный товар"
 - теперь ридер правильно считывает точку с запятой
 - исправлена ошибка 2022/2016 года
 - исправлена ошибка 2010 года
 - добавлена регистрация пивного чека в "ЕГАИС Розница"
 - добавил загрузку дополнительных атрибутов товара
 - свойство "Подакцизный товар" теперь грузится из поля 13, а "Код ценника" из поля 22
 - изменено окно ввода акцизной марки
 - добавлена настройка "Запретить ручной ввод акцизной марки"
 - добавлена загрузка файла справочников по маске
 - исправлена печать заголовка банковских слипов при работе с несколькими ФРами
 - добавлена настройка шрифта и высоты строки в таблице товаров в окне регистрации продаж
 - добавлена работа с ЕГАИС Розница
 - добавлена поддержка ФРов(АСПД/ПТК): RR-01, RR-02, RR-04
 - добавлен вывод информации о подключенном windows-принтере
 - в отложенном чеке корректно восстанавливается фиксированная скидка
 - теперь транзакция 59 - "продолжение отложенного чека"
 - в товарном чеке на windows-принтере цена печатается с учетом доп. цены
 - подправлена печать клише после печати банковских документов
 - добавлена проверка на регистрацию сертификата с тем же номером

1.5.0.1175 (3 июня 2015)
 - добавлена печать алкогольных отчетов
 - убрана уникальность штрих-кодов у единиц товаров
 - добавлено восстановление чеков после перезагрузки

1.4.3.1131 (9 декабря 2014)
 - добавлена галка "Контроль запрета продажи"
 - доп. цены теперь применяются даже если максимальная скидка у товара -1
 - добавлена поддержка ФР Retail-01K
 - галка "Удалять файл справочника после загрузки" также действует и на приходные накладные
 - добавлен учет бонусов по товарам
 - добавлен учет движения бонусов перед загрузкой
 - исправлены отчеты по кассирам и секциям при операциях с сертификатами
 - добавлена печать внешних отчетов
 - добавлена загрузка константы "Разрешить запрет продаж"
 - исправлена невозможность задать количество после визуального подбора
 - добавлена транзакция сторно сертификата

1.4.2.1053 (31 января 2014)
 - добавлена проверка срока действия сертификата
 - добавлена возможность ввода номера накладных "приход товара" и "возврат в офис"
 - добавлена продажа/возврат сертификата, как товара

1.4.1.1003 (19 августа 2013)
 - исправления в работе с несколькими ФРами
 - на закладке "сертификаты" добавилось поле выбора типа оплаты при регистрации в ФРе оплаты сертификатами
 - добавлен новый способ ввода дисконтной карты
 - добавлено изменение бонуса на карте при возврате
 - переделан расчет накопительной скидки при возврате
 - добавлена система видеонаблюдения iFree
 - исправлена ошибка с неверно выдаваемым сообщением "Карта не найдена"
 - добавлена возможность работать с несколькими весами
 - добавлена синхронизация дисконтных и платежных карт
 - доработан модуль оплаты кредитными картами через Сбербанк под Win32
 - добавил право на снятие отчетов ЭКЛЗ
 - исправил отчет по кассирам при оплате чека сертификатами
 - исправлена работа с ШТРИХ-М: Видео
 - больше нельзя задать нулевое количество функцией "Редактировать количество"
 - добавлены попытки восстановления связи с сервером видео-наблюдения "POS-Интеллект"
 - добавлена галка "Начислять скидку на позицию по префиксу"
 - исправлена ошибка при оплате сертификатами
 - добавлена настройка "Код валюты" к платежной системе "Инпас"

1.4.0.913 (19 ноября 2012)
 - добавлен платежный модуль FSync4
 - добавлена работа с системой видеонаблюдения ЧЕКТВ III
 - добавлена работа с бонусной системой "Все в плюсе"
 - в шаблон подкладного документа добавлены поля $(USER) - имя пользователя и
   $(TOTALSUMM) - сумма позиции со скидкой
 - добавлена работа с ТСД при инвентаризации и приеме товаров
 - добавлена поддержка принтеров этикеток, работающих по протоколу EZPL
 - исправлен номер транзакции "возврат в офис" с 307 на 308
 - исправлена ошибка при использовании карты одновременно бонусной и дисконтной
 - галка "Выполнять сверку итогов при Z-отчете" теперь снова сохраняется
 - исправлена работа со сканером штрих-кодов под Win32
 - добавлена поддержка КЯ YARUS M2100K
 - добавлена настройка "ФР для печати товарного чека"
 - добавлена галка "Не изменять количество товара при инвентаризации"
 - исправлена ошибка при оплате бонусом 100% чека
 - добавлена работа с сертификатами
 - добавлена галка "Не начислять бонус при оплате бонусом"

1.3.1.801 (2 февраля 2012)
 - добавлен ручной ввод акцизной марки
 - добавлено сохранение сортировки в окне визуального подбора
 - исправлена загрузка поля "Карта запрещена" в дисконтных картах
 - добавлена печать суммы бонусов по карте при установленной галке "Печатать сумму накопления по дисконтной карте"
 - добавлена настройка, запрещающая оплачивать бонусом более заданного процента от суммы чека
 - подключена система скидок D-Club
 - подключена платежная система Yarus
 - добавлена виртуальная клавиатура в окно визуального подбора
 - исправлена ошибка при работе с весами
 - добавлена печать списка товаров, загруженных из ТСД с ошибками
 - исправлена ошибка при сканировании на ТСД товаров с отрицательными остатками
 - исправлена ошибка при вводе заказа товара
 - добавлена скидка по дню рождения
 - добавлена загрузка кода доп. цены в фиксированных скидок.
 - при загрузке файла справочника корректно определяет флаги загрузки в середине справочника
 - добавлен флаг "Проверять наличие доп. цены у товара при начислении автоматической скидки".
   Если он установлен, то при начислении автоматической скидки проверяется наличие дополнительной цены у товара
   и в случае ее отсутствия начисляется скидка
 - добавлена команда очистки накопительных скидок

1.3.0.747(6 мая 2011)
 - добавлены сохранение таблиц ФР в файл и загрузка из него
 - в меню супервизора добавлена кнопка "Ждущий режим". При нажатии на нее выключается подсветка дисплея.
 - добавлена возможность удалять приходные накладные
 - исправлена ошибка в окне весовых штрих-кодов при обновлении со старых версий
 - добавлено открытие визуального подбора с различными фильтрами
 - добавлена возможность сортировки по столбца в окне визуального подбора
 - исправляются баги в версии под Win32

1.2.2.727(1 февраля 2011)
 - сделана версия под Win32
 - добавлен запрет продажи товаров
 - выгрузка транзакций в режиме работы с синхронизатором происходит теперь в фоновом режиме
 - добавлена авторизация при нехватке прав
 - доработки по SET Prisma
 - исправлена ошибка в округлении суммы чека скидкой, если включен контроль скидок на чек
 - исправлены ошибки при работе с системой видеонаблюдения SET Prisma
 - исправлены ошибки при работе с платежной системой ABG
 - при включенной опции "учитывать продажи товаров перед загрузкой" учитывается также и приход товара
 - исправлен отчет по товарам для товаров с кодами длиннее 8 цифр
 - добавлена посылка новых событий в систему видеонаблюдения PRISMA
 - исправлена работа с ТСД:
    выдается сообщение о не зарегистрированных штрих-кодах
    правильно обрабатывается дробное количество
 - добавлена галка "Печатать короткий отложенный чек"
 - добавлена галка "Устанавливать нулевой вес при неуспокоенных весах"
 - теперь в транзакции скидки, если сработало ограничение скидки, пишется правильная сумма
 - изменена интеграция с системой видеонаблюдения POS-Интеллект
 - в системе видеонаблюдения позиции в чеке нумеруются теперь с единицы, а не с нуля
 - добавлен вывод номера дисконтной карты в окне регистрации. Активируется в настройках на закладке "Интерфейс".
 - добавлена интеграция с системой видеонаблюдения POS-Интеллект
 - исправлена регистрация по артикулу товаров с большим кодом
 - исправлена ошибка при выходе из РМК(не показывалась панель задач Windows), если был подключен сканер RS-232
 - добавлена возможность указать код доп. цены в накопительных скидках
 - добавлена галка "Печатать название доп. цены". Если она установлена, то печатается название дополнительной цены вместо названия товара
 - при создании несуществующего товара цена теперь задается нулевая

1.2.1.687
 - добавлено видеонаблюдение Set: PRISMA
 - исправлена авторизация по I-button
 - добавлена установка таймаута в драйвере клавиатурного сканера
 - добавлена установка таймаута в драйвере ТСД
 - исправлена ошибка загрузки галок "Поиск по штрих-коду" и "Дополнять до EAN-13" у весовых штрих-кодов

1.2.0.683
 - адаптировано под Windows CE 6.0
 - работает с Sql Server Compact 3.5(в common.txt указать SqlVersion = 35)

1.1.6.666
 - у транзакций регистрации и скидки пишется реальное время

1.1.5.662
 - изменен префикс загрузки бонусных схем с подчеркивания '_' на минус '-'
 - исправлена ошибка с записью 2016 вместо 2010 года
 - добавлена оплата кредитными картами по протоколу ABG
 - добавлена загрузка настроек "Объединять позиции с одинаковым товаром" и "Запретить печать товарного чека для открытого чека"
 - убрана запись настройки в ФР "Сохранять строки в буфере чека"
 - добавлен новый тип весового штрих-кода "Брать вес с весов"
 - добавлена дополнительная цена в фиксированные скидки
 - добавлена поддержка ШТРИХ-Принт
 - добавлены флаги в весовые штрих-коды: "Искать по штрих-коду" и "Дополнять до EAN-13"
 - добавлена печать артикула в товарный чек
 - добавлен новый тип весовых штрих-кодов: шк + вес, вес + шк
 - добавлена настройка "обновлять цену в восстановленном чеке"
 - добавлено видеонаблюдение
 - добавлен работа с ТСД
 - добавлен новый тип весовых штрих-кодов: артикул+вес, вес+артикул
 - добавлена настройка "Запретить ручной ввод количества"
 - добавлен лог в драйвер ФРа
 - исправлена транзакция 95
 - исправлено зависание РМК при оплате платежной картой, если установлен выбор
   платежной карты при оплате наличными
 - добавлена поддержка ШТРИХ-М-ФР-К 57 мм
 - добавлена печать ценников
 - исправлено ложное срабатывание фиксированной скидки по префиксу, если он не заполнен

1.1.4.569
 - добавлена поддержка ШТРИХ-Light-ФР-К и ШТРИХ-LightPOS-К
 - добавлено округление итога чека с помощью скидки
 - исправлена работа весов, подключенных по USB, после выхода из слипа
 - для установки нулевого количества при редактировании нужны права на сторно
 - обрабатывает параметры в файл-флаге выгрузки
 - Весы можно подключать к com-портам с 1 по 9
 - изменена программа ModemTest
 - исправлены ошибки при инвентаризации
 - новая версия программы налогового инспектора(1.0.0.14)
    - правильно задается конечная смена при снятии отчета по сменам в диапазоне смен
    - печатает документ по номеру КПК
 - ФР ищется теперь на компортах с 1 по 9
 - добавился подробный отчет по товарам
 - добавилась настройка "При удалении старых транзакций не учитывать признак выгрузки"

1.1.3.548
 - добавлена инвентаризация, заказ товара и приход товара
 - добавлена оплата кредитными картами через ПромСвязьБанк
 - добавлена настройка "Печатать графическое изображение"
 - добавлена "Выгрузка отчетов за период" в меню обмен данными
 - при работе с несколькими ФРами Имя кассира правильно печатается на всех ФРах
 - добавлена настройка "учитывать продажи товаров перед загрузкой"
 - после снятия Z-отчета удаляются старые транзакции
 - В транзакциях 50, 51, 60, 61 при работе с несколькими ФРами пишется
   логический номер ФРа
 - Добавлена транзакция 54 "Сумма по ККМ"

1.1.2.532
 - поле "Текст для чека" товара увеличено до 200 символов
 - код товара увеличился до 18 знаков.
 - добавился специальный тип весового штрих-кода
 - добавилась настройка "Применение нескольких скидок на позицию"
 - добавились параметры в формат печати товарного чека:
      - TIME - выводит текущее время
      - DATETIME - выводит текущие дату и время
 - в расширенных отчетах по товарам выводится артикул, если установлен параметр
   "Печать артикула"
 - при установленной настройке "Запретить продажи по нулевой цене" программа
   больше НЕ позволяет зарегистрировать товар с нулевой ценой через визуальный
   подбор.
   !!! При обновлении удалить файл rmk.sdf

1.1.1.513
 - добавилась настройка "Запрашивать разрешение печати чека возврата".
   Если она установлена, то перед печатью чека возврата выводится окно для
   подтверждения печати чека.
 - сдача выводится перед печатью чека
 - при закрытии чека можно указать сумму, оплачиваемую безналичным типом оплаты
 - исправлена ошибка загрузки единиц товара, появившаяся в 494 сборке
 - добавлена регистрация товара по артикулу

1.1.0.494
 - добавлена оплата мобильных платежей через ОСМП
 - в настройка/справочнике товаров при навигации работает кнопка "ОПЛАТА"
 - для фиксированных скидок можно задавать диапазон префиксов
 - ввод даты/времени из окна регистрации(есть право пользователя, возможность
   назначения на горячую клавишу и выбор из меню "сервис")
 - добавлен отчет по продавцам
 - исправлены отчеты по часам, секциям, скидкам
 - добавился флаг "Запрет печати товарного чека для открытого чека",
   позволяющий печатать товарный чек только в режиме "просмотр/печать чека"
 - при продолжении отложенного чека восстанавливаются скидки на чек
 - корректно работает с фискальным регистратором ШТРИХ-М-ФР-К
 - добавлена оплата кредитными картами через Сбербанк
 - файл-флаг выгрузки не удаляется пока не закончится выгрузка отчета
 - дисконтная карта,использованная для назначения скидки, пишется в транзакции
   даже если ее нет в справочнике карт
  - исправлена ошибка с Sql Server 2005 Compact Edition
  - товарный чек печатается на сетевом принтере
  - добавлен вывод времени в окне регистрации
  - добавлена печать товарного чека на Windows-принтере
  - работает с Sql Server 2005 Compact Edition
    ( выбор версии sql server'а осуществляется установкой свойства SqlVersion*:
      2 - Sql Server CE 2.0(то что было), 3 - Sql Server 2005 Compact Edition(
      то что добавилось)
      При первом запуске РМК начнет работать с Sql Server 2005 Compact Edition.
      Для перехода со старой СУБД, необходимо обновить файлы БД утилитой
      upgrade.exe** и установить свойство SqlVersion = 3

      --------------------------------------------------------------
      *SqlVersion находится в файле \residentflash\rmk\db\common.txt
      **Формат запуска upgrade.exe /S <путь к БД> /D <путь к новой БД>.
      Надо выполнить для файлов rmk.sdf и transact.sdf
    )
  - добавил возможность установки права "Просмотр/печать чека"

[Петрософт]
  - вывод в файл протокола названий товара
  - делается несколько попыток записи в файл протокола(если занят кем-то другим)

сборка 424
  - при снятии Z-отчета производится попытка сжать БД
  - теперь, если стоит галочка "Удалять файл справочника после загрузки", файл
    справочника удаляется даже при ручной загрузке
  - если в карточке товара поле "Текст для чека" пустое, для печати на чеке
    используется поле "Название"
  - если у единицы товара поля "Название", "Текст для чека" пустые,
    то используются соответствующие поля карточки товара
  - Теперь при отсутствии продаж создается пустой файл отчета (раньше файл
    отчета в этом случае не создавался)
  - возможно выборочное удаление из базы РМК через файлы обмена. Введен
    параметр загрузки DEL. Все элементы справочника удалятся из базы РМК.
  - в отчете по товарам названия действует настройка "переносить длинные
    названия товаров"
  - увеличено поле штрих-код у товаров
  - исправлена печать товарного чека со сторнированными позициями
  - список пользователей при отображении сортируется по имени пользователя
  - если установлены опции "игнорировать положение точки в кол-ве" и
    "игнорировать положение точки в сумме", то в окне регистрации запятая
    не показывается
  - печать/просмотр чека
  - автоматическая печать копии по закрытию чека
  - добавлены команды при загрузке справочника

сборка 385
  - сохраняются настройки столбцов в визуальном подборе
  - печать товарного чека по запросу
  - в окне авторизации можно авторизовываться по штрих-коду. Штрих-код играет
    роль пароля пользователя
  - если использовалась дисконтная карта, но скидки по ней не было, запись в
    транзакции все равно добавляется
  - исправлена настройка дисплея покупателя
  - изменена работа дисконтной скидки, а именно:
    на ее вычисление теперь влияет параметр "Способ объединения скидок на чек",
    раньше всегда использовалась максимальная
  - Отчет по товарам: суммы по каждому товару выводятся с учетом скидки на этот
    товар
  - добавлено округление сумм(то есть сколько знаков после запятой
      - 0.01 соответствует 2 знака после запятой
      - 0.1 соответствует 1 знаку после запятой
      - 1 соответствует 0 знакам после запятой)
  - исправлен случай продолжения отложенного чека с фиксированной скидкой на
    позицию
  - Если работа без ФРа, время выставляется по последней транзакции
  - добавились отчеты ЭКЛЗ
  - добавился контроль скидок на чек
  - появилось право на получение суммы в денежном ящике
  - при работе с весами при нажатии на кн. Х на дисплее покупателя индицируется
    "вес х.ххх".
  - выгружается транзакция Z-отчет при работе с "Синхронизатором"
  - возврат по номеру чека
  - печать товарного чека

ВНИМАНИЕ!!!
Все транзакции и отложенные чеки станут не доступны.
Рекомендуется перед установкой выгрузить все транзакции

  - транзакции хранятся в отдельном файле от справочников.
  - корректно работает автоматическая блокировка, если уже заблокировано вручную
  - настройка колонок в визуальном подборе

317
  - исправлен один случай ошибки "неизвестное исключение"
  - при работе с ШТРИХ-М:Синхронизатором перед закрытием чека грузится
    справочник для предотвращения отрицательных остатков
  - запрашиваются подтверждения на "критичные" действия: удаление справочника,
    снятие Z-отчёта.
  - при работе с ШТРИХ-М:Синхронизатором транзакции дописываются
  - исправлено зависание при работе с ШТРИХ-М:Синхронизатором
  - исправлена работа без ФРа
  - визуальный подбор: если фокус ввода находится на строке фильтра, то нажатие
    "ОПЛАТА" применит фильтр
  - фиксированная скидка по префиксу карты начисляется вне зависимости от
    наличия карты в списке карт
  - автоматические скидки на чек/позицию могут срабатывать от проведения карты(
    если карта есть в списке)
  - Если файл отчета не обработан транзакции дописываются в него
  - снова удаляются старые транзакции, по-видимому не удалявшиеся с 275 сборки
  - поправлена загрузка весовых штрих-кодов
  - при отмене чека не открывается денежный ящик
  - файлы справочников удаляются после загрузки
  - Добавлена галка "Контроль остатка товара при закрытии чека"
  - продолжаются исправления транзакций со сторно
  - добавлено сжатие базы данных вручную из настроек и автоматически при
    удалении старых транзакций
  - если база находится на SD-карте, то РМК ждет пока она определится
  - появилась транзакция сторно
  - поддержка нескольких ФРов
  - есть право на открытие денежного ящика и соответствующая транзакция
  - если в справочнике не найдено ни одного флага загрузки($$$CLR $$$RPL $$$ADD),
    то считается что флаг загрузки $$$RPL, а не $$$CLR, как в предыдущих сборках
  - в расширенных отчетах не учитываются товары из отмененных и отложенных чеков
  - просмотр товара сделан как в 1с ШТРИХ-М: Кассир
  - загрузка справочника должна быть только при закрытом чеке
  - добавлена поддержка весов CAS MW-II
  - подправлена загрузка типа комиссии в поставщиках услуг
  - добавлен коэффициент округления скидок
  - при объединении позиций учитывается секция
  - автоматические скидки по умолчанию начисляются на позиции по свободной цене
  - после транзакции отложенный чек пишется транзакция отмены чека
    (для совместимости с товароучетными программами)
  - добавлена оплата услуг через MasterPort
  - изменен формат загрузки набора прав(для совместимости с 1с кассир 1.9,
    также изменена загрузка: если флажок пропущен(не 0 или 1), то его значение
    не меняется
  - при показе визуального подбора можно задавать начальную группу товаров
    (ввод кода группы и вызов визуального подбора или назначив на кнопку
    пленочной клавиатуры)
  - при старте удаляются старые транзакции
  - исправлена некорректная работа скидок на чек при объединении позиций
  - не объединяются разные единицы
  - правильно пишутся транзакции с участием единицы товара
  - правильная транзакция отмены чека
  - правильно восстанавливаются чеки с продавцами
  - скидки на позицию замещаются
  - работает галка "Удалять отложенные чеки при закрытии смены"
  - еще больше ошибок выводятся в файл *.err
  - удаление отложенных чеков при закрытии смены
  - печать контрольной ленты при закрытии смены
  - вывод ошибок в файл *.err при загрузке товаров
  - вывод названия товара при визуальном подборе
  - можно делать 100% скидки
  - изменения в настройке свойств весов
  - транзакции скидки на чек пишутся даже при нулевой скидке на чек
  - добавлено переключение раскладки на пленочной клавиатуре
    в окне визуального подбора
  - запоминаются установки визуального подбора
  - при продаже по коду выводится название товара
  - день в дате выгруженных транзакций дополняется до 2 знаков
      (для совместимости с ШТРИХ-М: Торговое предприятие)
  - подкорректирована работа с ШТРИХ-М: Синхронизатор
  - транзакции 75 теперь идут перед транзакциями закрытия чека
  - в транзакции пишутся транзакции чека при отмене чека

201
  - добавлена работа с ШТРИХ-М: Синхронизатор
  - добавлена поддержка весов с протоколом POS 2.0
  - продавцы загружаются из файла справочника
  - теперь можно и не выбирать продавца
  - добавлена работа с продавцами
  - изменена работа сканера(при поиске в БД теперь учитываются только
    первые 13 символов)
  - неизвестное исключение при попытке Z-отчета в окне регистрации в
    закрытой смене заменено на известное "Закрытая смена"
  - не загружается константа "ОбъединениеСкидокНаЧек" со значением 0
  - исправлен выбор товара и единицы с одинаковым штрих-кодом
  - изменено сообщение "нет транзакций для выгрузки" на "Нет новых
    транзакций для выгрузки"
  - исправлена выгрузка отчетов по датам(начальная дата стала сначала суток)
  - выгружает транзакции выделенного отчета
  - правильно загружается флаг "использовать как платежную"
  - добавлена закладка "Отчеты" в настройке программы
  - правильная обработка пропущенных полей при загрузке справочников
  - исправлен обмен местами номера дисконтной карты и названия при загрузке